FreeMat

- Main Page
- Related Pages

vtkIdListCollection

Section: Visualization Toolkit Common Classes

# Usage

vtkIdListCollection is an object that creates and manipulates lists of datasets. See also vtkCollection and subclasses.

To create an instance of class vtkIdListCollection, simply invoke its constructor as follows

      obj = vtkIdListCollection

# Methods

The class vtkIdListCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkIdListCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkIdListCollection = obj.NewInstance ()`
- `vtkIdListCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkIdList ds)` - Get the next dataset in the list.
- `vtkIdList = obj.GetNextItem ()` - Get the next dataset in the list.
- `vtkIdList = obj.GetItem (int i)` - Get the ith dataset in the list.